package com.ho.business.mapper;

import com.ho.business.entity.IncomeRateMapping;
import com.ho.business.entity.IncomeTemplateType;
import com.ho.business.entity.RateTemplate;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface IncomeMappingMapper {

    public List<RateTemplate> selectRateTemplates(RateTemplate rateTemplate);

    public int insertRateTemplate(RateTemplate rateTemplate);

    public int modifyRateTemplate(RateTemplate rateTemplate);

    public int deleteRateTemplate(long id);

    public List<IncomeTemplateType> getIncomeTemplateTypes();

    public int insertRateMapping(@Param("incomeRateMappings")List<IncomeRateMapping> incomeRateMappings,@Param("templateId") long templateId);

    public int deleteRateMapping(@Param("templateId")long templateId);

    public int checkTemplateName(@Param("templateName") String templateName,@Param("stationId")int stationId);

    public int checkTemplateOpen(RateTemplate rateTemplate);

    public int changeSwitch(RateTemplate rateTemplate);

    public int checkTemplateRate(long id);

    public int checkTemplateQRate(long id);

    public int checkTotalTemplate(long id);

}
